enchant();

window.onload = () => {
    const game = new Core(320, 320);
    game.fps = 15;
    game.onload = () => {
        // 画面メイン
        const mainRectSprite = new Sprite(310,220);
        const mainRectSurface = new Surface(310, 220);
        mainRectSurface.context.beginPath();
        mainRectSurface.context.rect(10, 0, 310, 220);
        mainRectSurface.context.fill();
        mainRectSprite.image = mainRectSurface;
        game.rootScene.addChild(mainRectSurface);
        
        // デジタルパッド表示 
        const pad = new Pad();
        pad.x=0;
        pad.y=220;
        game.rootScene.addChild(pad);
        
        // アナログパッド表示
        const apad = new APad();
        apad.x = 220;
        apad.y= 220;
        game.rootScene.addChild(apad);
    };
    game.start();
};